package mapped;

import java.util.Iterator;
import java.util.concurrent.Callable;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSSecureRandomCallable;

@ObfuscatedName("dx")
public class SecureRandomCallable implements Callable, RSSecureRandomCallable {
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Lol;"
   )
   public static AbstractArchive field1014;

   public Object call() {
      return HealthBarDefinition.method3639_base();
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(B)[Lun;",
      garbageValue = "0"
   )
   static PrivateChatMode[] method2319() {
      return new PrivateChatMode[]{PrivateChatMode.field5277, PrivateChatMode.field5278, PrivateChatMode.field5280};
   }

   @ObfuscatedName("av")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "2126026996"
   )
   static void method2326_base() {
      Iterator var0 = class316.musicSongs.iterator();

      while(true) {
         MusicSong var1;
         do {
            if(!var0.hasNext()) {
               class316.musicSongs.clear();
               return;
            }

            var1 = (MusicSong)var0.next();
         } while(var1 == null);

         var1.midiPcmStream.clear_base();
         var1.midiPcmStream.method6011_base();
         var1.midiPcmStream.setPcmStreamVolume_base(0);
         var1.midiPcmStream.field3455 = 0;
         int var2 = var1.musicTrackGroupId;
         int var3 = var1.musicTrackFileId;
         Iterator var4 = class316.field3420.iterator();

         while(var4.hasNext()) {
            class322 var5 = (class322)var4.next();
            var5.vmethod6202_base(var2, var3);
         }
      }
   }

   @ObfuscatedName("bz")
   @ObfuscatedSignature(
      descriptor = "(ILdt;ZI)I",
      garbageValue = "-732445486"
   )
   static int method2324(int var0, Script var1, boolean var2) {
      int var3;
      if(var0 == 6600) {
         var3 = ItemLayer.Client_plane;
         int var9 = (class229.localPlayer.x >> 7) + NpcOverrides.baseX;
         int var5 = (class229.localPlayer.y >> 7) + class101.baseY;
         WorldMapArchiveLoader.method8711().method8723_base(var3, var9, var5, true);
         return 1;
      } else {
         WorldMapArea var11;
         if(var0 == 6601) {
            var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
            String var16 = "";
            var11 = WorldMapArchiveLoader.method8711().method8799(var3);
            if(var11 != null) {
               var16 = var11.getExternalName_base();
            }

            Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var16;
            return 1;
         } else if(var0 == 6602) {
            var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
            WorldMapArchiveLoader.method8711().setCurrentMapAreaId_base(var3);
            return 1;
         } else if(var0 == 6603) {
            Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().getZoomLevel_base();
            return 1;
         } else if(var0 == 6604) {
            var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
            WorldMapArchiveLoader.method8711().setZoomPercentage_base(var3);
            return 1;
         } else if(var0 == 6605) {
            Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().isCacheLoaded_base()?1:0;
            return 1;
         } else {
            Coord var15;
            if(var0 == 6606) {
               var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
               WorldMapArchiveLoader.method8711().setWorldMapPositionTarget_base(var15.x, var15.y);
               return 1;
            } else if(var0 == 6607) {
               var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
               WorldMapArchiveLoader.method8711().setWorldMapPositionTargetInstant_base(var15.x, var15.y);
               return 1;
            } else if(var0 == 6608) {
               var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
               WorldMapArchiveLoader.method8711().jumpToSourceCoord_base(var15.plane, var15.x, var15.y);
               return 1;
            } else if(var0 == 6609) {
               var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
               WorldMapArchiveLoader.method8711().jumpToSourceCoordInstant_base(var15.plane, var15.x, var15.y);
               return 1;
            } else if(var0 == 6610) {
               Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().getDisplayX_base();
               Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().getDisplayY_base();
               return 1;
            } else {
               WorldMapArea var13;
               if(var0 == 6611) {
                  var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  var13 = WorldMapArchiveLoader.method8711().method8799(var3);
                  if(var13 == null) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                  } else {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.method4567().packed_base();
                  }

                  return 1;
               } else if(var0 == 6612) {
                  var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  var13 = WorldMapArchiveLoader.method8711().method8799(var3);
                  if(var13 == null) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                  } else {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = (var13.getRegionHighX_base() - var13.getRegionLowX_base() + 1) * 64;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = (var13.getRegionHighY_base() - var13.getRegionLowY_base() + 1) * 64;
                  }

                  return 1;
               } else if(var0 == 6613) {
                  var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  var13 = WorldMapArchiveLoader.method8711().method8799(var3);
                  if(var13 == null) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                  } else {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.getRegionLowX_base() * 64;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.getRegionLowY_base() * 64;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.getRegionHighX_base() * 64 + 64 - 1;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.getRegionHighY_base() * 64 + 64 - 1;
                  }

                  return 1;
               } else if(var0 == 6614) {
                  var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  var13 = WorldMapArchiveLoader.method8711().method8799(var3);
                  if(var13 == null) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                  } else {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.getZoom_base();
                  }

                  return 1;
               } else if(var0 == 6615) {
                  var15 = WorldMapArchiveLoader.method8711().method8750();
                  if(var15 == null) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                  } else {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var15.x;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var15.y;
                  }

                  return 1;
               } else if(var0 == 6616) {
                  Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().currentMapAreaId_base();
                  return 1;
               } else if(var0 == 6617) {
                  var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
                  var13 = WorldMapArchiveLoader.method8711().method8901();
                  if(var13 == null) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                     return 1;
                  } else {
                     int[] var14 = var13.position_base(var15.plane, var15.x, var15.y);
                     if(var14 == null) {
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                     } else {
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var14[0];
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var14[1];
                     }

                     return 1;
                  }
               } else {
                  Coord var7;
                  if(var0 == 6618) {
                     var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
                     var13 = WorldMapArchiveLoader.method8711().method8901();
                     if(var13 == null) {
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                        return 1;
                     } else {
                        var7 = var13.method4552(var15.x, var15.y);
                        if(var7 == null) {
                           Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                        } else {
                           Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var7.packed_base();
                        }

                        return 1;
                     }
                  } else {
                     Coord var12;
                     if(var0 == 6619) {
                        DbTableType.Interpreter_intStackSize -= 2;
                        var3 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                        var12 = new Coord(Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1]);
                        FriendsChat.method8116(var3, var12, false);
                        return 1;
                     } else if(var0 == 6620) {
                        DbTableType.Interpreter_intStackSize -= 2;
                        var3 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                        var12 = new Coord(Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1]);
                        FriendsChat.method8116(var3, var12, true);
                        return 1;
                     } else if(var0 == 6621) {
                        DbTableType.Interpreter_intStackSize -= 2;
                        var3 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                        var12 = new Coord(Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1]);
                        var11 = WorldMapArchiveLoader.method8711().method8799(var3);
                        if(var11 == null) {
                           Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                           return 1;
                        } else {
                           Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var11.containsCoord_base(var12.plane, var12.x, var12.y)?1:0;
                           return 1;
                        }
                     } else if(var0 == 6622) {
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().getDisplayWith_base();
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().getDisplayHeight_base();
                        return 1;
                     } else if(var0 == 6623) {
                        var15 = new Coord(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
                        var13 = WorldMapArchiveLoader.method8711().method8724(var15.plane, var15.x, var15.y);
                        if(var13 == null) {
                           Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                        } else {
                           Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var13.getId_base();
                        }

                        return 1;
                     } else if(var0 == 6624) {
                        WorldMapArchiveLoader.method8711().setMaxFlashCount_base(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
                        return 1;
                     } else if(var0 == 6625) {
                        WorldMapArchiveLoader.method8711().resetMaxFlashCount_base();
                        return 1;
                     } else if(var0 == 6626) {
                        WorldMapArchiveLoader.method8711().setCyclesPerFlash_base(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
                        return 1;
                     } else if(var0 == 6627) {
                        WorldMapArchiveLoader.method8711().resetCyclesPerFlash_base();
                        return 1;
                     } else {
                        boolean var10;
                        if(var0 == 6628) {
                           var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                           WorldMapArchiveLoader.method8711().setPerpetualFlash_base(var10);
                           return 1;
                        } else if(var0 == 6629) {
                           var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                           WorldMapArchiveLoader.method8711().flashElement_base(var3);
                           return 1;
                        } else if(var0 == 6630) {
                           var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                           WorldMapArchiveLoader.method8711().flashCategory_base(var3);
                           return 1;
                        } else if(var0 == 6631) {
                           WorldMapArchiveLoader.method8711().stopCurrentFlashes_base();
                           return 1;
                        } else if(var0 == 6632) {
                           var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                           WorldMapArchiveLoader.method8711().setElementsDisabled_base(var10);
                           return 1;
                        } else {
                           boolean var4;
                           if(var0 == 6633) {
                              DbTableType.Interpreter_intStackSize -= 2;
                              var3 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                              var4 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1] == 1;
                              WorldMapArchiveLoader.method8711().disableElement_base(var3, var4);
                              return 1;
                           } else if(var0 == 6634) {
                              DbTableType.Interpreter_intStackSize -= 2;
                              var3 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                              var4 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1] == 1;
                              WorldMapArchiveLoader.method8711().setCategoryDisabled_base(var3, var4);
                              return 1;
                           } else if(var0 == 6635) {
                              Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().getElementsDisabled_base()?1:0;
                              return 1;
                           } else if(var0 == 6636) {
                              var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                              Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().isElementDisabled_base(var3)?1:0;
                              return 1;
                           } else if(var0 == 6637) {
                              var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                              Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapArchiveLoader.method8711().isCategoryDisabled_base(var3)?1:0;
                              return 1;
                           } else if(var0 == 6638) {
                              DbTableType.Interpreter_intStackSize -= 2;
                              var3 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                              var12 = new Coord(Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1]);
                              var7 = WorldMapArchiveLoader.method8711().method8768(var3, var12);
                              if(var7 == null) {
                                 Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                              } else {
                                 Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var7.packed_base();
                              }

                              return 1;
                           } else {
                              AbstractWorldMapIcon var8;
                              if(var0 == 6639) {
                                 var8 = WorldMapArchiveLoader.method8711().method8770();
                                 if(var8 == null) {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                                 } else {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var8.getElement_base();
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var8.coord2.packed_base();
                                 }

                                 return 1;
                              } else if(var0 == 6640) {
                                 var8 = WorldMapArchiveLoader.method8711().method8840();
                                 if(var8 == null) {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                                 } else {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var8.getElement_base();
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var8.coord2.packed_base();
                                 }

                                 return 1;
                              } else {
                                 WorldMapElement var6;
                                 if(var0 == 6693) {
                                    var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                                    var6 = class141.method3209(var3);
                                    if(var6.name == null) {
                                       Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                                    } else {
                                       Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var6.name;
                                    }

                                    return 1;
                                 } else if(var0 == 6694) {
                                    var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                                    var6 = class141.method3209(var3);
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var6.textSize;
                                    return 1;
                                 } else if(var0 == 6695) {
                                    var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                                    var6 = class141.method3209(var3);
                                    if(var6 == null) {
                                       Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                                    } else {
                                       Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var6.category;
                                    }

                                    return 1;
                                 } else if(var0 == 6696) {
                                    var3 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                                    var6 = class141.method3209(var3);
                                    if(var6 == null) {
                                       Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = -1;
                                    } else {
                                       Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var6.sprite1;
                                    }

                                    return 1;
                                 } else if(var0 == 6697) {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = class133.worldMapEvent.mapElement;
                                    return 1;
                                 } else if(var0 == 6698) {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = class133.worldMapEvent.coord1.packed_base();
                                    return 1;
                                 } else if(var0 == 6699) {
                                    Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = class133.worldMapEvent.coord2.packed_base();
                                    return 1;
                                 } else {
                                    return 2;
                                 }
                              }
                           }
                        }
                     }
                  }
               }
            }
         }
      }
   }
}
